Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157865 - "msg" function name in libaudit conflicts with symbols in some apps
Summary: "msg" function name in libaudit conflicts with symbols in some apps
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: audit
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Grubb
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-16 16:07 UTC by Jonathan Kamens
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 0.8.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-17 22:08:43 UTC


Attachments (Terms of Use)

Description Jonathan Kamens 2005-05-16 16:07:53 UTC
I was getting a coredump out of ipop3d (which I know isn't supported anymore, 
but the problem I was seeing could just as easily occur in another, currently 
supported app), because there's a pointer variable in ipop3d called "msg" and 
the linker was trying to call that variable as a function from inside libaudit 
rather than calling the "msg" function in the library.  I think the function 
should be renamed to something more specific to libaudit and hence less likely 
to conflict with variable names in applications.

Comment 1 Steve Grubb 2005-05-17 22:08:43 UTC
Thanks for reporting the issue. I've fixed it in 0.8.1 - which will be in
rawhide shortly.


Note You need to log in before you can comment on or make changes to this bug.